# std::array<T,N>::begin, std::array<T,N>::cbegin

From cppreference.com
< cpp‎ | container‎ | array

iterator begin() noexcept; |  | (until C++17)
constexpr iterator begin() noexcept; |  | (since C++17)
const_iterator begin() const noexcept; |  | (until C++17)
constexpr const_iterator begin() const noexcept; |  | (since C++17)
const_iterator cbegin() const noexcept; |  | (until C++17)
constexpr const_iterator cbegin() const noexcept; |  | (since C++17)

Returns an iterator to the first element of the container.

If the container is empty, the returned iterator will be equal to end().

### Parameters

(none)

### Return value

Iterator to the first element

### Complexity

Constant

### Example

| This section is incomplete Reason: no example

### See also

end cend | returns an iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/array/begin&oldid=50434"